"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const http_client_1 = require("../../lib/http-client");
const ENDPOINT = '/predictions/add/:metric';
const addPredictionApiBuilder = (baseApi) => (metric) => __awaiter(void 0, void 0, void 0, function* () {
    const response = yield baseApi.client.makeApiCall(http_client_1.METHODS.GET, ENDPOINT.replace(':metric', metric), {
        useAuth: true,
        json: false
    });
    return JSON.parse(response);
});
exports.default = addPredictionApiBuilder;
